Bug 27372 - kernel-2.2.17-14 breaks DLT tape drive on IBM ServeRAID
Summary: kernel-2.2.17-14 breaks DLT tape drive on IBM ServeRAID
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Doug Ledford
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-13 10:24 UTC by Berd Dahlmo
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:38:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Berd Dahlmo 2001-02-13 10:24:34 UTC
After upgrading from kernel-2.2.16-3 to kernel-2.2.17-14, our tape drive no
longer works.

Equipment: IBM Netfinity 5500 with ServeRAID controller and DLT 4000 drive.
ServeRAID bios: 3.10.05


Reproducible: Always
Steps to Reproduce:
(testing with tar)
1. tar -tvf /dev/st0

	

Actual Results:  tar: /dev/st0: Cannot open: Device not configured
tar: Error is not recoverable: exiting now


Expected Results:  A listing of all files on the tape should be printed

Comment 1 Doug Ledford 2001-02-14 01:32:39 UTC
If you do a "modprobe st" as root and then try the tar again do things work as
expected?

Comment 2 Berd Dahlmo 2001-02-14 08:22:42 UTC
The st-module is automatically loaded by the /etc/rc.d/rc.sysinit -script. The
tape is detected when the scsi-bus is scanned:

  Vendor: Quantum   Model: DLT4000           Rev: D473
  Type:   Sequential-Access                  ANSI SCSI revision: 02

Later, when the startuip script loads the st-module, the following is logged:

st: bufsize 32768, wrt 30720, max buffers 5, s/g segs 16.
Detected scsi tape st0 at scsi0, channel 1, id 5, lun 0

So everything looks ok, but it dont work :(

Comment 3 Berd Dahlmo 2001-02-22 16:41:29 UTC
I've downgraded the ips driver to the one that is supplied with kernel 2.2.17
vanilla. The tapestation now works as expected.

So there seems to be some incompability between ips version 4.00.06 (in 2.2.17)
and 4.20.20 (2.2.17-14 and 2.2.18)

Comment 4 Bugzilla owner 2004-09-30 15:38:55 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.